--
-- IHC 1455 XL
-- Spezialization um Hilfe ein- bzw. ausblenden zu knnen
-- 
--
-- Author  Friedrich L.  -  Skullman
-- Date 18. Dezember 2010
-- Web www.modding-society.de
--
-- Copyright (c) Friedrich L. - All Rights Reserved.
--

HelpingText = {};

function HelpingText.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function HelpingText:load(xmlFile)
	self.HelpingText = false;
end;

function HelpingText:delete()
end;

function HelpingText:mouseEvent(posX, posY, isDown, isUp, button)
end;

function HelpingText:keyEvent(unicode, sym, modifier, isDown)
end;

function HelpingText:update(dt)
	if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.TOGGLE_SHOW_HELP) then
			self.HelpingText = not self.HelpingText;
		end;
	end;
end;



function HelpingText:updateTick(dt)
end;


function HelpingText:draw()
	if not self.HelpingText then
		renderText(0.72, 0.30, 0.02, "Taste Numpad 0: Info Einschalten");
	 else
		-- Koordinaten sind aus der F930.lua - Author leider unbekannt
		renderText(0.72, 0.30, 0.02, "Taste Numpad 0: Info Abschalten");
		renderText(0.72, 0.75, 0.02, "- LF 10 MB Atego Info -");
		renderText(0.72, 0.73, 0.02, "Taste POS1: Blaulicht");
		renderText(0.72, 0.71, 0.02, "Taste Space: Martinshorn");
		renderText(0.72, 0.69, 0.02, "Taste Bild auf/ab: Horn umschalten");
		--renderText(0.72, 0.67, 0.02, "");
		renderText(0.72, 0.65, 0.02, "Taste Numpad 1: Blinker links");
		renderText(0.72, 0.63, 0.02, "Taste Numpad 2: Warnblinker");
		renderText(0.72, 0.61, 0.02, "Taste Numpad 3: Blinker rechts");
		--renderText(0.72, 0.59, 0.02, "");
		renderText(0.72, 0.57, 0.02, "Taste Numpad 5: Umfeldbeleuchtung");
        	renderText(0.72, 0.55, 0.02, "Taste Numpad 8: Licht hinten");
        --renderText(0.72, 0.53, 0.02, "");
		renderText(0.72, 0.51, 0.02, "Taste 0: Hupe");
		--renderText(0.72, 0.49, 0.02, "");
		renderText(0.72, 0.47, 0.02, "Fahrzeug mit Wasser betanken!");
		--renderText(0.72, 0.45, 0.02, "");
		renderText(0.72, 0.43, 0.02, "");
		--renderText(0.72, 0.41, 0.02, "");
		renderText(0.72, 0.39, 0.02, "");
		renderText(0.72, 0.37, 0.02, "");
        	renderText(0.72, 0.35, 0.02, "");     
	end;
end;  

function HelpingText:onLeave()
	self.HelpingText = false;
end;




